import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const styleGuide = await client.styleGuides.create({
content: [{ content: 'Use professional and clear language', heading: 'Tone' }],
});
console.log(styleGuide.data);{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org-123",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"content": [
{
"heading": "Tone",
"content": "Use professional and clear language",
"approved": true
}
],
"quickstartId": "123e4567-e89b-12d3-a456-426614174000"
}
}Creates a new style guide.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const styleGuide = await client.styleGuides.create({
content: [{ content: 'Use professional and clear language', heading: 'Tone' }],
});
console.log(styleGuide.data);{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org-123",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"content": [
{
"heading": "Tone",
"content": "Use professional and clear language",
"approved": true
}
],
"quickstartId": "123e4567-e89b-12d3-a456-426614174000"
}
}Your unique Avido API key
Your unique Avido Application ID
Request body for creating a new style guide
Show child attributes
Successfully created style guide
Successful response containing the style guide data
A style guide for a specific application
Show child attributes